<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/can/src/dcan.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_f278ee02dc12a5a541d5c4ed2545106a.html">can</a></li><li class="navelem"><a class="el" href="dir_1a8802099a0f8e53858182b8217d8859.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">dcan.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The file implements the DController Area Network Driver for the XWR14xx and XWR16xx.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/MemoryP.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/DebugP.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/HwiP.h&gt;</code><br />
<code>#include &lt;ti/common/hw_types.h&gt;</code><br />
<code>#include &lt;ti/common/sys_common.h&gt;</code><br />
<code>#include &lt;<a class="el" href="hw__dcan_8h.html">ti/drivers/can/include/hw_dcan.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="can__internal_8h.html">ti/drivers/can/include/can_internal.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a7772833df0a8e5797e01da945893a7be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7772833df0a8e5797e01da945893a7be"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dcan_8c.html#a7772833df0a8e5797e01da945893a7be">DCAN_PARITY_DISABLED</a>&#160;&#160;&#160;(5U)</td></tr>
<tr class="memdesc:a7772833df0a8e5797e01da945893a7be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parity function is disabled. <br /></td></tr>
<tr class="separator:a7772833df0a8e5797e01da945893a7be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77aa2feaead3f774a2228b3269f2854a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77aa2feaead3f774a2228b3269f2854a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dcan_8c.html#a77aa2feaead3f774a2228b3269f2854a">DCAN_PARITY_ENABLED</a>&#160;&#160;&#160;(0U)</td></tr>
<tr class="memdesc:a77aa2feaead3f774a2228b3269f2854a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parity function is enabled. <br /></td></tr>
<tr class="separator:a77aa2feaead3f774a2228b3269f2854a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35707b128863c14590fecd16b3aa7505"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35707b128863c14590fecd16b3aa7505"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dcan_8c.html#a35707b128863c14590fecd16b3aa7505">DCAN_ECCDIAG_DISABLED</a>&#160;&#160;&#160;(0xAU)</td></tr>
<tr class="memdesc:a35707b128863c14590fecd16b3aa7505"><td class="mdescLeft">&#160;</td><td class="mdescRight">ECC Diagnostic mode is disabled. <br /></td></tr>
<tr class="separator:a35707b128863c14590fecd16b3aa7505"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e92e2344cb6d881118a0b306672a21d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e92e2344cb6d881118a0b306672a21d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dcan_8c.html#a8e92e2344cb6d881118a0b306672a21d">DCAN_ECCDIAG_ENABLED</a>&#160;&#160;&#160;(0x5U)</td></tr>
<tr class="memdesc:a8e92e2344cb6d881118a0b306672a21d"><td class="mdescLeft">&#160;</td><td class="mdescRight">ECC Diagnostic mode is enabled. <br /></td></tr>
<tr class="separator:a8e92e2344cb6d881118a0b306672a21d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b5cd4831e7f9360beb69dcbd2ac19de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b5cd4831e7f9360beb69dcbd2ac19de"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dcan_8c.html#a0b5cd4831e7f9360beb69dcbd2ac19de">DCAN_ECC_MODE_ENABLED</a>&#160;&#160;&#160;(0x0U)</td></tr>
<tr class="memdesc:a0b5cd4831e7f9360beb69dcbd2ac19de"><td class="mdescLeft">&#160;</td><td class="mdescRight">SECDED Single bit Error correction is enabled. <br /></td></tr>
<tr class="separator:a0b5cd4831e7f9360beb69dcbd2ac19de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaecbfaf6659af3c283daef03d53e3d09"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaecbfaf6659af3c283daef03d53e3d09"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dcan_8c.html#aaecbfaf6659af3c283daef03d53e3d09">DCAN_ECC_MODE_DISABLED</a>&#160;&#160;&#160;(0x5U)</td></tr>
<tr class="memdesc:aaecbfaf6659af3c283daef03d53e3d09"><td class="mdescLeft">&#160;</td><td class="mdescRight">SECDED Single bit Error correction is disabled. <br /></td></tr>
<tr class="separator:aaecbfaf6659af3c283daef03d53e3d09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afadeb0f1e67f24b3cd25e2b8b147e721"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afadeb0f1e67f24b3cd25e2b8b147e721"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dcan_8c.html#afadeb0f1e67f24b3cd25e2b8b147e721">DCAN_ECC_SBE_EVT_ENABLED</a>&#160;&#160;&#160;(0x0U)</td></tr>
<tr class="memdesc:afadeb0f1e67f24b3cd25e2b8b147e721"><td class="mdescLeft">&#160;</td><td class="mdescRight">SECDED Single bit Error Event is enabled. <br /></td></tr>
<tr class="separator:afadeb0f1e67f24b3cd25e2b8b147e721"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92f8a0aa4c38e86385661af6f0c65f56"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92f8a0aa4c38e86385661af6f0c65f56"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dcan_8c.html#a92f8a0aa4c38e86385661af6f0c65f56">DCAN_ECC_SBE_EVT_DISABLED</a>&#160;&#160;&#160;(0x5U)</td></tr>
<tr class="memdesc:a92f8a0aa4c38e86385661af6f0c65f56"><td class="mdescLeft">&#160;</td><td class="mdescRight">SECDED Single bit Error Event is disabled. <br /></td></tr>
<tr class="separator:a92f8a0aa4c38e86385661af6f0c65f56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5f9135994f20bdb8028abdafa067db7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae5f9135994f20bdb8028abdafa067db7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dcan_8c.html#ae5f9135994f20bdb8028abdafa067db7">STD_MSGID_SHIFT</a>&#160;&#160;&#160;(18U)</td></tr>
<tr class="memdesc:ae5f9135994f20bdb8028abdafa067db7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Message Identifier Masks. <br /></td></tr>
<tr class="separator:ae5f9135994f20bdb8028abdafa067db7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga13846c14e4026f6b22c39cf6c0742323"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga13846c14e4026f6b22c39cf6c0742323">DCANReset</a> (uint32_t baseAddr, uint32_t retry)</td></tr>
<tr class="memdesc:ga13846c14e4026f6b22c39cf6c0742323"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API will reset the DCAN module and configure the DCAN TX/RX IO Control register.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga13846c14e4026f6b22c39cf6c0742323">More...</a><br /></td></tr>
<tr class="separator:ga13846c14e4026f6b22c39cf6c0742323"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga776bdb8c461eeba94155c934476cb97e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga776bdb8c461eeba94155c934476cb97e">DCANSetMode</a> (uint32_t baseAddr, uint32_t mode)</td></tr>
<tr class="memdesc:ga776bdb8c461eeba94155c934476cb97e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API will configure the operating mode of DCAN In Init mode the communication on CAN bus is stopped and the controller needs to be placed in Init mode for initialization To start communication on CAN bus please keep the DCAN controller in Normal mode of operation.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga776bdb8c461eeba94155c934476cb97e">More...</a><br /></td></tr>
<tr class="separator:ga776bdb8c461eeba94155c934476cb97e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae760901a393b5aca655828dbfa36547b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae760901a393b5aca655828dbfa36547b">DCANSetBitTime</a> (uint32_t baseAddr, const <a class="el" href="group___c_a_n___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga502907f67e4f640c949735756c081b31">CAN_DCANBitTimeParams</a> *pBitTimePrms)</td></tr>
<tr class="memdesc:gae760901a393b5aca655828dbfa36547b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API configures bit time parameters for DCAN module.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae760901a393b5aca655828dbfa36547b">More...</a><br /></td></tr>
<tr class="separator:gae760901a393b5aca655828dbfa36547b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga329a40349092f93372f6052cd13e2135"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga329a40349092f93372f6052cd13e2135">DCANConfig</a> (uint32_t baseAddr, const <a class="el" href="group___c_a_n___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5b2a389caae2fdc54c1323e9ffc7dc47">CAN_DCANCfgParams</a> *pDcanCfgPrms)</td></tr>
<tr class="memdesc:ga329a40349092f93372f6052cd13e2135"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API configures DCAN controller.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga329a40349092f93372f6052cd13e2135">More...</a><br /></td></tr>
<tr class="separator:ga329a40349092f93372f6052cd13e2135"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac5a5838bd71fb617a019a5180a3ff3b7"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac5a5838bd71fb617a019a5180a3ff3b7">DCANConfigMsgObj</a> (uint32_t baseAddr, uint32_t msgObj, uint32_t ifRegNum, const <a class="el" href="group___c_a_n___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga9ee3c8b6ebef3f7d302b00722175625d">CAN_DCANMsgObjCfgParams</a> *pMsgObjCfgPrms)</td></tr>
<tr class="memdesc:gac5a5838bd71fb617a019a5180a3ff3b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API configures DCAN TX/RX message object.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac5a5838bd71fb617a019a5180a3ff3b7">More...</a><br /></td></tr>
<tr class="separator:gac5a5838bd71fb617a019a5180a3ff3b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga191af042ab2f0ea68161b683a077371a"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga191af042ab2f0ea68161b683a077371a">DCANTransmitData</a> (uint32_t baseAddr, uint32_t msgObj, uint32_t ifRegNum, const <a class="el" href="group___c_a_n___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabe39975801feddf615f8f4b5468a9502">CAN_DCANData</a> *pDcanTxPrms, uint32_t retry)</td></tr>
<tr class="memdesc:ga191af042ab2f0ea68161b683a077371a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API transmits a CAN message and writes a CAN message into a CAN message object.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga191af042ab2f0ea68161b683a077371a">More...</a><br /></td></tr>
<tr class="separator:ga191af042ab2f0ea68161b683a077371a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabea7144998627d08a1c0ddbe9ab165a5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gabea7144998627d08a1c0ddbe9ab165a5">DCANGetData</a> (uint32_t baseAddr, uint32_t msgObj, uint32_t ifRegNum, <a class="el" href="group___c_a_n___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabe39975801feddf615f8f4b5468a9502">CAN_DCANData</a> *pDcanRxPrms, uint32_t retry)</td></tr>
<tr class="memdesc:gabea7144998627d08a1c0ddbe9ab165a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API gets received CAN message from message RAM.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gabea7144998627d08a1c0ddbe9ab165a5">More...</a><br /></td></tr>
<tr class="separator:gabea7144998627d08a1c0ddbe9ab165a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga52448fa0a89685c030df7bbf58f37147"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga52448fa0a89685c030df7bbf58f37147">DCANIsTxMsgPending</a> (uint32_t baseAddr, uint32_t msgObj)</td></tr>
<tr class="memdesc:ga52448fa0a89685c030df7bbf58f37147"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API returns Tx message object transmission status whether Tx message object has a pending Tx request or not.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga52448fa0a89685c030df7bbf58f37147">More...</a><br /></td></tr>
<tr class="separator:ga52448fa0a89685c030df7bbf58f37147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga63997d0bacc467ca84dca0efdc2abd0f"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga63997d0bacc467ca84dca0efdc2abd0f">DCANHasRxMsgArrived</a> (uint32_t baseAddr, uint32_t msgObj)</td></tr>
<tr class="memdesc:ga63997d0bacc467ca84dca0efdc2abd0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API returns Rx message object reception status whether Rx message object has a pending Rx data or not.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga63997d0bacc467ca84dca0efdc2abd0f">More...</a><br /></td></tr>
<tr class="separator:ga63997d0bacc467ca84dca0efdc2abd0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf6dce0cee0304ae7ceebfa0943e1f0be"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf6dce0cee0304ae7ceebfa0943e1f0be">DCANIsMsgValid</a> (uint32_t baseAddr, uint32_t msgObj)</td></tr>
<tr class="memdesc:gaf6dce0cee0304ae7ceebfa0943e1f0be"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API checks for whether msgObj is valid or not.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf6dce0cee0304ae7ceebfa0943e1f0be">More...</a><br /></td></tr>
<tr class="separator:gaf6dce0cee0304ae7ceebfa0943e1f0be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga14a024be61076071febeea2d9e1de999"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga14a024be61076071febeea2d9e1de999">DCANIsIfRegBusy</a> (uint32_t baseAddr, uint32_t ifRegNum)</td></tr>
<tr class="memdesc:ga14a024be61076071febeea2d9e1de999"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API checks for whether DCAN IF Register is busy or not.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga14a024be61076071febeea2d9e1de999">More...</a><br /></td></tr>
<tr class="separator:ga14a024be61076071febeea2d9e1de999"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa554e6084a65e74a763ff4608e9a69cc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa554e6084a65e74a763ff4608e9a69cc">DCANConfigIntrMux</a> (uint32_t baseAddr, uint32_t intrLineNum, uint32_t msgObj)</td></tr>
<tr class="memdesc:gaa554e6084a65e74a763ff4608e9a69cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API will configure which interrupt line is used to service interrupts for message objects.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa554e6084a65e74a763ff4608e9a69cc">More...</a><br /></td></tr>
<tr class="separator:gaa554e6084a65e74a763ff4608e9a69cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae7277eca576ad8fa4796ac381218553f"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae7277eca576ad8fa4796ac381218553f">DCANGetIntrStatus</a> (uint32_t baseAddr, uint32_t intrLineNum)</td></tr>
<tr class="memdesc:gae7277eca576ad8fa4796ac381218553f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API returns interrupt line status of DCAN.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae7277eca576ad8fa4796ac381218553f">More...</a><br /></td></tr>
<tr class="separator:gae7277eca576ad8fa4796ac381218553f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac065aa106dafe15b62c066071f224a0b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac065aa106dafe15b62c066071f224a0b">DCANIsMsgObjIntrPending</a> (uint32_t baseAddr, uint32_t msgObj)</td></tr>
<tr class="memdesc:gac065aa106dafe15b62c066071f224a0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API returns message object interrupt pending status.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac065aa106dafe15b62c066071f224a0b">More...</a><br /></td></tr>
<tr class="separator:gac065aa106dafe15b62c066071f224a0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0197115987e56472d63e0e9a54a57e80"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0197115987e56472d63e0e9a54a57e80">DCANIntrClearStatus</a> (uint32_t baseAddr, uint32_t msgObj, uint32_t ifRegNum)</td></tr>
<tr class="memdesc:ga0197115987e56472d63e0e9a54a57e80"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API will clear the interrupt pending status of received message objects after a new message is received.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0197115987e56472d63e0e9a54a57e80">More...</a><br /></td></tr>
<tr class="separator:ga0197115987e56472d63e0e9a54a57e80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae89f5aae48b52d505792bc37a05c964c"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae89f5aae48b52d505792bc37a05c964c">DCANGetErrStatus</a> (uint32_t baseAddr)</td></tr>
<tr class="memdesc:gae89f5aae48b52d505792bc37a05c964c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API will read the error and status information of DCAN controller.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae89f5aae48b52d505792bc37a05c964c">More...</a><br /></td></tr>
<tr class="separator:gae89f5aae48b52d505792bc37a05c964c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae50a751a06989a72802fb6a6c9cf88b5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae50a751a06989a72802fb6a6c9cf88b5">DCANGetErrCntrStatus</a> (uint32_t baseAddr)</td></tr>
<tr class="memdesc:gae50a751a06989a72802fb6a6c9cf88b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API will read the error counter status of DCAN.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae50a751a06989a72802fb6a6c9cf88b5">More...</a><br /></td></tr>
<tr class="separator:gae50a751a06989a72802fb6a6c9cf88b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2dc8ca4ef7ad884cd1e994107bdaeca0"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga2dc8ca4ef7ad884cd1e994107bdaeca0">DCANGetParityErrStatus</a> (uint32_t baseAddr)</td></tr>
<tr class="memdesc:ga2dc8ca4ef7ad884cd1e994107bdaeca0"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API will read the DCAN parity error status.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga2dc8ca4ef7ad884cd1e994107bdaeca0">More...</a><br /></td></tr>
<tr class="separator:ga2dc8ca4ef7ad884cd1e994107bdaeca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga62d6e09ea2df14798b20776349371c6f"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga62d6e09ea2df14798b20776349371c6f">DCANGetMsgObjBitErrDetected</a> (uint32_t baseAddr)</td></tr>
<tr class="memdesc:ga62d6e09ea2df14798b20776349371c6f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API returns message object number where DCAN ECC Single Bit Error is detected.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga62d6e09ea2df14798b20776349371c6f">More...</a><br /></td></tr>
<tr class="separator:ga62d6e09ea2df14798b20776349371c6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa42450ea1121452a68ad61cbef4bf940"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa42450ea1121452a68ad61cbef4bf940">DCANGetEccDiagErrStatus</a> (uint32_t baseAddr)</td></tr>
<tr class="memdesc:gaa42450ea1121452a68ad61cbef4bf940"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API will read the ECC diagnostic status information of DCAN controller.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa42450ea1121452a68ad61cbef4bf940">More...</a><br /></td></tr>
<tr class="separator:gaa42450ea1121452a68ad61cbef4bf940"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf3e39b8bb7fedc2eadbfe1b63cebdf77"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf3e39b8bb7fedc2eadbfe1b63cebdf77">DCANGetEccErrStatus</a> (uint32_t baseAddr)</td></tr>
<tr class="memdesc:gaf3e39b8bb7fedc2eadbfe1b63cebdf77"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API will read the ECC error status information of DCAN controller.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf3e39b8bb7fedc2eadbfe1b63cebdf77">More...</a><br /></td></tr>
<tr class="separator:gaf3e39b8bb7fedc2eadbfe1b63cebdf77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7fbdf691b3f2365dadc750c134375c5a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7fbdf691b3f2365dadc750c134375c5a">DCANParityEnable</a> (uint32_t baseAddr, uint32_t enablePMD)</td></tr>
<tr class="memdesc:ga7fbdf691b3f2365dadc750c134375c5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/disable the DCAN parity/ECC.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7fbdf691b3f2365dadc750c134375c5a">More...</a><br /></td></tr>
<tr class="separator:ga7fbdf691b3f2365dadc750c134375c5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga33e0434b52e9d86d0846b096050c3fc9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga33e0434b52e9d86d0846b096050c3fc9">DCANTestModeEnable</a> (uint32_t baseAddr, uint32_t enableTestMode, uint32_t testMode)</td></tr>
<tr class="memdesc:ga33e0434b52e9d86d0846b096050c3fc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/ Disable the test mode of DCAN.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga33e0434b52e9d86d0846b096050c3fc9">More...</a><br /></td></tr>
<tr class="separator:ga33e0434b52e9d86d0846b096050c3fc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0aa5fd68df2f06bc28107ab1ddb6bb14"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0aa5fd68df2f06bc28107ab1ddb6bb14">DCANEccDiagModeEnable</a> (uint32_t baseAddr, uint32_t enableEccDiagMode)</td></tr>
<tr class="memdesc:ga0aa5fd68df2f06bc28107ab1ddb6bb14"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/disable the DCAN ECC Diagnostic Mode.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0aa5fd68df2f06bc28107ab1ddb6bb14">More...</a><br /></td></tr>
<tr class="separator:ga0aa5fd68df2f06bc28107ab1ddb6bb14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf11deb42d0349b96738cd3b72c9da93e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf11deb42d0349b96738cd3b72c9da93e">DCANEccModeEnable</a> (uint32_t baseAddr, uint32_t enableEccMode, uint32_t enableSbeEvent)</td></tr>
<tr class="memdesc:gaf11deb42d0349b96738cd3b72c9da93e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to Enable/disable SECDED Single bit Error correction and SECDED Single bit Error Event.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf11deb42d0349b96738cd3b72c9da93e">More...</a><br /></td></tr>
<tr class="separator:gaf11deb42d0349b96738cd3b72c9da93e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac474fcdd5833195aab7a0c54c95c0176"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac474fcdd5833195aab7a0c54c95c0176">DCANClrEccErrStatus</a> (uint32_t baseAddr)</td></tr>
<tr class="memdesc:gac474fcdd5833195aab7a0c54c95c0176"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears the error status of DCAN ECC.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac474fcdd5833195aab7a0c54c95c0176">More...</a><br /></td></tr>
<tr class="separator:gac474fcdd5833195aab7a0c54c95c0176"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaffae8c73fcc992e0fdf6b5520c969a1a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaffae8c73fcc992e0fdf6b5520c969a1a">DCANClrEccDiagErrStatus</a> (uint32_t baseAddr)</td></tr>
<tr class="memdesc:gaffae8c73fcc992e0fdf6b5520c969a1a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears the error status of DCAN ECC Diagnostic.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaffae8c73fcc992e0fdf6b5520c969a1a">More...</a><br /></td></tr>
<tr class="separator:gaffae8c73fcc992e0fdf6b5520c969a1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6debb6889356e4243ef748931d69b16b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6debb6889356e4243ef748931d69b16b">DCANClrParityIntrStatus</a> (uint32_t baseAddr)</td></tr>
<tr class="memdesc:ga6debb6889356e4243ef748931d69b16b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears the status of parity error on DCAN_PARITY interrupt line.  <a href="group___c_a_n___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6debb6889356e4243ef748931d69b16b">More...</a><br /></td></tr>
<tr class="separator:ga6debb6889356e4243ef748931d69b16b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The file implements the DController Area Network Driver for the XWR14xx and XWR16xx. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div></div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
